Peplink Portal Docs
Starlink Devices

Search Starlink Devices

Search Starlink devices under your partner account by different criteria.

Required Capabilities

Starlink Viewer

Request

GET/starlink/devices/search

Query parameters

pageNumintegeroptionaldefault: 1

Page number of the search result. Minimum value allowed is 1.

pageSizeintegeroptionaldefault: 10

A limit on the number of items returned. Allowed value can range between 1 and 100.

querystringoptional

Search query string.

starlinkAccountRefIdstringoptional

Filter results by Starlink account reference ID.

Response

A json is returned in the response body with the following fields:

totalCountlong

Total number of records found with the search request. If this value is larger than the returned count of items, you can find more results by retrying the same request with different pageNum.

itemsobject array

Returns records found for the current page of search result.

Show child attributes
items.refIdstring

Reference ID of the device.

items.starlinkAccountRefIdstring

Reference ID of the Starlink account the device is assigned to.

items.starlinkServiceLineRefIdnullable string

Reference ID of the Starlink service line the device is assigned to. null if not applicable.

items.starlinkKitSerialNumberstring

Kit serial number of the Starlink device.

items.starlinkDishSerialNumbernullable string

Dish serial number of the Starlink device. null if not applicable.

items.starlinkUserTerminalIdnullable string

User terminal ID of the Starlink device. null if not applicable.

items.starlinkSyncobject

Starlink sync information of the device.

Show child attributes
items.starlinkSync.syncStatusnullable enum

The sync status of the device. null if not applicable.

  • PENDING — The sync is pending.
  • ABORTED — The sync has been aborted.
  • SYNCING — The sync is in progress.
  • SYNCED — The sync has completed.
items.starlinkSync.runCountnumber

The number of times the device sync has been run.

items.starlinkSync.runCountLimitnumber

The maximum number of times the device sync can be run.

items.starlinkSync.lastSyncedAtnullable datetime string

The last time the device was synced. null if not applicable.

items.createdAtdatetime string

Date and time the device was created.

items.createdBystring

Username of the user who created the device.

items.createdByEmailnullable string

Email of the user who created the device. null if not applicable.

items.updatedAtdatetime string

Date and time the device was last updated.

items.updatedBystring

Username of the user who last updated the device.

items.updatedByEmailnullable string

Email of the user who last updated the device. null if not applicable.

Examples

Request

curl -X GET 'https://portal.peplink.com/api/e/v1/cp/starlink/devices/search?pageNum=1&pageSize=5' \  -H 'Authorization: Bearer {token}'

Response

{
  "totalCount": 1,
  "items": [
    {
      "refId": "XXXX00000001",
      "starlinkAccountRefId": "92",
      "starlinkServiceLineRefId": "57",
      "starlinkKitSerialNumber": "XXXX00000001",
      "starlinkDishSerialNumber": "XXXX00000000001",
      "starlinkUserTerminalId": "XXXXXXXX-XXXXXXXX-XXXXXXXX",
      "starlinkSync": {
        "syncStatus": "SYNCED",
        "runCount": 0,
        "runCountLimit": 10,
        "lastSyncedAt": "2026-03-03T10:53:21.385Z"
      },
      "createdAt": "2026-02-26T12:51:19.443Z",
      "createdBy": "Jane Doe",
      "createdByEmail": null,
      "updatedAt": "2026-03-25T02:00:04.314Z",
      "updatedBy": "System",
      "updatedByEmail": null
    }
  ]
}

On this page